# Poco::Zip

# class ZipIOS

Library: Zip
Package: Zip
Header: Poco/Zip/ZipStream.h

## Description

The base class for ZipInputStream and ZipOutputStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: ZipInputStream, ZipOutputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### ZipIOS

ZipIOS(
std::istream & istr,
const ZipLocalFileHeader & fileEntry,
bool reposition
);

Creates the basic stream and connects it to the given input stream.

### ZipIOS

ZipIOS(
std::ostream & ostr,
ZipLocalFileHeader & fileEntry,
bool reposition
);

Creates the basic stream and connects it to the given output stream.

## Destructor

### ~ZipIOS

~ZipIOS();

Destroys the stream.

## Member Functions

### rdbuf

ZipStreamBuf * rdbuf();

Returns a pointer to the underlying streambuf.

## Variables

### _buf

ZipStreamBuf _buf;